Loading...
Searching...
No Matches
vrefbuffer.h File Reference
`#include "zone.h"`
`#include <stdlib.h>`
`#include <assert.h>`
Include dependency graph for vrefbuffer.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | msgpack_iovec
struct | msgpack_vrefbuffer_inner_buffer
struct | msgpack_vrefbuffer

## Macros

#define | MSGPACK_VREFBUFFER_REF_SIZE 32
#define | MSGPACK_VREFBUFFER_CHUNK_SIZE 8192

## Typedefs

typedef struct msgpack_iovec | msgpack_iovec
typedef struct msgpack_vrefbuffer_chunk | msgpack_vrefbuffer_chunk
typedef struct msgpack_vrefbuffer_inner_buffer | msgpack_vrefbuffer_inner_buffer
typedef struct msgpack_vrefbuffer | msgpack_vrefbuffer

## Functions

MSGPACK_DLLEXPORT bool | msgpack_vrefbuffer_init (msgpack_vrefbuffer *vbuf, size_t ref_size, size_t chunk_size)
MSGPACK_DLLEXPORT void | msgpack_vrefbuffer_destroy (msgpack_vrefbuffer *vbuf)
MSGPACK_DLLEXPORT int | msgpack_vrefbuffer_append_copy (msgpack_vrefbuffer *vbuf, const char *buf, size_t len)
MSGPACK_DLLEXPORT int | msgpack_vrefbuffer_append_ref (msgpack_vrefbuffer *vbuf, const char *buf, size_t len)
MSGPACK_DLLEXPORT int | msgpack_vrefbuffer_migrate (msgpack_vrefbuffer *vbuf, msgpack_vrefbuffer *to)
MSGPACK_DLLEXPORT void | msgpack_vrefbuffer_clear (msgpack_vrefbuffer *vref)

## Typedef Documentation

## msgpack_iovec

typedef struct msgpack_iovec msgpack_iovec